package client;



/**
 * Class Description - 
 * 
 * @author sli
 * 
 * @version $Revision: #3 $  $Date: 2016/06/24 $
 *
 * <!--
 * MedPlus, Inc., 4690 Parkway Drive, Mason, Ohio 45040, U.S.A.
 * (c) 1995-2007 MedPlus, Inc. All Rights Reserved.
 *
 * MedPlus, the MedPlus logo, Care360 Hub, the Care360 logo are trademarks, registered trademarks, 
 * or service marks of MedPlus, Inc. in the United States and other countries. MedPlus, Inc., is a 
 * wholly owned subsidiary of Quest Diagnostics Incorporated. Quest, Quest Diagnostics, the associated 
 * logo and all associated Quest Diagnostics marks are the trademarks of Quest Diagnostics Incorporated.
 * -->
 */
public class TestCompendiumsLinksResponse {
    
    private String transactionId;
    private TestCompendiumsLinks[] fullFileLinks;
    private TestCompendiumsLinks[] deltaFileLinks;
    private TestCompendiumsLinks[] previouslyNotifiedDeltasLinks; 
    private TestCompendiumsLinks[] previouslyNotifiedFullFileLinks;
    private String errorMessage;   
    
    public TestCompendiumsLinksResponse() {
	super();	
    }

    public TestCompendiumsLinksResponse(String transactionId, TestCompendiumsLinks[] fullFileLinks,
	    TestCompendiumsLinks[] deltaFileLinks, TestCompendiumsLinks[] previouslyNotifiedDeltasLinks,
	    TestCompendiumsLinks[] previouslyNotifiedFullFileLinks) {
	this.transactionId = transactionId;
	this.fullFileLinks = fullFileLinks;
	this.deltaFileLinks = deltaFileLinks;
	this.previouslyNotifiedDeltasLinks = previouslyNotifiedDeltasLinks;
	this.previouslyNotifiedFullFileLinks = previouslyNotifiedFullFileLinks;
    }
    
    public TestCompendiumsLinksResponse(String transactionId, TestCompendiumsLinks[] fullFileLinks,
	    TestCompendiumsLinks[] deltaFileLinks, TestCompendiumsLinks[] previouslyNotifiedDeltasLinks,
	    TestCompendiumsLinks[] previouslyNotifiedFullFileLinks, String errorMessage) {
	this(transactionId, fullFileLinks, deltaFileLinks, previouslyNotifiedDeltasLinks, previouslyNotifiedFullFileLinks);
	this.errorMessage = errorMessage;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public TestCompendiumsLinks[] getFullFileLinks() {
        return fullFileLinks;
    }

    public void setFullFileLinks(TestCompendiumsLinks[] fullFileLinks) {
        this.fullFileLinks = fullFileLinks;
    }

    public TestCompendiumsLinks[] getDeltaFileLinks() {
        return deltaFileLinks;
    }

    public void setDeltaFileLinks(TestCompendiumsLinks[] deltaFileLinks) {
        this.deltaFileLinks = deltaFileLinks;
    }


    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public TestCompendiumsLinks[] getPreviouslyNotifiedDeltasLinks() {
        return previouslyNotifiedDeltasLinks;
    }

    public void setPreviouslyNotifiedDeltasLinks(TestCompendiumsLinks[] previouslyNotifiedDeltasLinks) {
        this.previouslyNotifiedDeltasLinks = previouslyNotifiedDeltasLinks;
    }

    public TestCompendiumsLinks[] getPreviouslyNotifiedFullFileLinks() {
        return previouslyNotifiedFullFileLinks;
    }

    public void setPreviouselyNotifiedFullFileLinks(TestCompendiumsLinks[] previouslyNotifiedFullFileLinks) {
        this.previouslyNotifiedFullFileLinks = previouslyNotifiedFullFileLinks;
    }   
 
}



